Show / Hide Table of Contents

# Struct AgentCraftActionSimulator

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentCraftActionSimulator

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### Progress

##### Declaration

    public ProgressEfficiencyCalculations*Progress

##### Field Value

Type | Description
--- | ---
ProgressEfficiencyCalculations* |

| Improve this Doc View Source

#### Quality

##### Declaration

    public QualityEfficiencyCalculations*Quality

##### Field Value

Type | Description
--- | ---
QualityEfficiencyCalculations* |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentCraftActionSimulator*Instance()

##### Returns

Type | Description
--- | ---
AgentCraftActionSimulator* |